aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--entries/braxtonhall/wc/.gitignore1
-rw-r--r--entries/braxtonhall/wc/fib.sh22
-rw-r--r--people.json4
3 files changed, 27 insertions, 0 deletions
diff --git a/entries/braxtonhall/wc/.gitignore b/entries/braxtonhall/wc/.gitignore
new file mode 100644
index 0000000..f845a7d
--- /dev/null
+++ b/entries/braxtonhall/wc/.gitignore
@@ -0,0 +1 @@
+*.fib \ No newline at end of file
diff --git a/entries/braxtonhall/wc/fib.sh b/entries/braxtonhall/wc/fib.sh
new file mode 100644
index 0000000..fc419b3
--- /dev/null
+++ b/entries/braxtonhall/wc/fib.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+function rec () {
+
+ if [ $2 == "0" ]; then
+ :
+ elif [ $2 == "1" ]; then
+ [ -f "$1/$2.fib" ] || echo "🥵" > "$1/$2.fib"
+ else
+ [ -d "$1/$2" ] || mkdir "$1/$2"
+ rec "$1/$2" $(($2 - 1))
+ rec "$1/$2" $(($2 - 2))
+ fi
+}
+
+if [[ $1 =~ ^[0-9]+$ ]]; then
+ rec $(pwd) $1
+ find $(pwd)/$1 -type f | wc -l
+else
+ echo "Please provide a natural number!"
+ exit 1
+fi
diff --git a/people.json b/people.json
index 7c9b8a1..d0e4039 100644
--- a/people.json
+++ b/people.json
@@ -34,6 +34,10 @@
{
"name": "types",
"link": "./entries/braxtonhall/types/index.ts"
+ },
+ {
+ "name": "wc",
+ "link": "./entries/braxtonhall/wc/fib.sh"
}
]
},